query listBusiness @auth(level: USER) {
  businesses {
    id
    businessName
    contactName
    email
    sector
    rateGroup
    status
  }
}

query getBusinessById(
  $id: UUID!
) @auth(level: USER) {
  business(id: $id) {
    id
    businessName
    contactName
    email
    sector
    rateGroup
    status
  }
}

query filterBusiness(
  $businessName: String,
  $contactName: String,
  $sector: BusinessSector,
  $rateGroup: BusinessRateGroup,
  $status: BusinessStatus
) @auth(level: USER) {
  businesses(
    where: {
      businessName: { eq: $businessName }
      contactName: { eq: $contactName }
      sector: { eq: $sector }
      rateGroup: { eq: $rateGroup }
      status: { eq: $status }
    }
  ) {
    id
    businessName
    contactName
    email
    sector
    rateGroup
    status
  }
}
